> ## Documentation Index
> Fetch the complete documentation index at: https://openlayer.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete data source

> Delete a data source (formerly known as "inference pipeline") by its ID.



## OpenAPI

````yaml delete /inference-pipelines/{inferencePipelineId}
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /inference-pipelines/{inferencePipelineId}:
    delete:
      tags:
        - Monitoring
      summary: Delete an inference pipeline
      description: Delete an inference pipeline.
      parameters:
        - $ref: '#/components/parameters/inferencePipelineId'
      responses:
        '200':
          description: Response OK.
        default:
          $ref: '#/components/responses/UnexpectedError'
      x-codeSamples:
        - lang: python
          source: >
            from openlayer import Openlayer


            client = Openlayer()


            client.inference_pipelines.delete("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
        - lang: typescript
          source: >
            import Openlayer from 'openlayer';


            const client = new Openlayer();


            await
            client.inferencePipelines.delete('c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f');
        - lang: go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/openlayer-ai/openlayer-go\"\n)\n\nclient := openlayer.NewClient()\nerr := client.InferencePipelines.Delete(context.TODO(), \"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f\")\nif err != nil {\n\tpanic(err.Error())\n}\n"
        - lang: java
          source: >
            import com.openlayer.api.client.OpenlayerClient;

            import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;


            OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();


            client.inferencePipelines().delete("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f");
        - lang: ruby
          source: >
            require "openlayer"


            openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])


            openlayer.inference_pipelines.delete("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
        - lang: curl
          source: |
            curl --request DELETE \
              --url https://api.openlayer.com/v1/projects/{projectId}/inference-pipelines/{inferencePipelineId} \
              --header 'Authorization: Bearer <token>'
components:
  parameters:
    inferencePipelineId:
      name: inferencePipelineId
      in: path
      description: The inference pipeline id (a UUID).
      required: true
      schema:
        type: string
        format: uuid
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.